<?php
/**
 * Class Scroll Top Button Template
 *
 * @package Wira
 * @since 1.0.0
 */

namespace Wira\Templates;

if ( ! class_exists( 'Scroll_Top' ) ) {
	/**
	 * Class Scroll_Top
	 *
	 * Outputs the scroll-to-top button HTML.
	 */
	class Scroll_Top {

		/**
		 * Render the scroll-to-top HTML
		 *
		 * @return string
		 */
		public function render() {
			ob_start();
			?>
			<a href="#" class="theme-back-to-top">
				<i class="fas fa-chevron-up"></i>
			</a>
			<?php
			return ob_get_clean();
		}
	}
}
